Skip to main content
POST

NIC validations

  1. Eway bill should be active and valid
  2. Initiation for multi vehicle movement should have been done and the group no. should exist
  3. Valid vehicleNo should be there
  4. Valid transDocNo and transDocDate as per the allowed format.
  5. If transMode is 1 while initiating, vehicleNo is mandatory, else transDocNo is mandatory
  6. Quantity should not be more than the total quantity mentioned in the multi vehicle initiation request
  7. The sum of all quantity mentioned in the previous vehicles of the same group should not be more than the total quantity mentioned during multi vehicle initiation request

Request body schema

View request body schema

Authorizations

authorization
string
header
required

E-Way Bill taxpayer access token returned by Authenticate.

x-api-key
string
header
required

Sandbox API key from your Sandbox account.

Headers

x-api-version
string
default:1.0.0

API version

x-source
enum<string>
default:primary

NIC server for the session used by this request. primary selects NIC1. secondary selects NIC2. Defaults to primary. See NIC1 and NIC2 routing.

Available options:
primary,
secondary
x-proxy
enum<string>

NIC server that receives the request. If omitted, the request goes to the server selected by x-source. When specified, selects the other server. See NIC1 and NIC2 routing.

Available options:
primary,
secondary

Path Parameters

ewb_no
string
required

Body

application/json

E-Way Bill schema.

ewbNo
number
required

The ewbNo value.

Example:

291010080003

groupNo
string

The groupNo value.

Example:

"1"

quantity
number

The quantity value.

Example:

15

transDocDate
string

The transDocDate value.

Example:

"12/10/2017"

transDocNo
string

The transDocNo value.

Example:

"1234"

vehicleNo
string

The vehicleNo value.

See vehicle number formats.

Example:

"PQR1234"

Response

200 - application/json

200 Vehicle added / 301 Invalid EWB number / 400 Exceeded multi-vehicle movement initiation quantity

An E-Way Bill success or NIC business-failure response. Both variants use HTTP 200.

code
enum<integer>
required

NIC response code.

Available options:
200
timestamp
integer<int64>
required

Unix timestamp.

transaction_id
string
required

Request transaction identifier.

data
object
required